Plugin Blea. Impossibilité installation des dépendances

Tags: #<Tag:0x00007f3855174708>

Bonjour,
Je sèche pour l’installation du plugin Blea.
Sur le market, il était noté « incompatible avec mon installation ».
Tête de mule, je l’ai tout de même installé.
Je suis sur un Raspberry pi 4, Jeedom V4.0.61

J’ai trouvé ce sujet Plugin blea mais cela ne m’a pas aidé. Les dépendances se lancent en boucle et restent NOK.

Pour info
pip3 --version
pip 18.1 from /usr/lib/python3/dist-packages/pip (python 3.7)

python3 --version
python 3.7.3

Avoir la solution serait génial, mais comprendre le pourquoi du comment serait encore mieux. Je débute. Je patauge, mais j’aimerais comprendre pour ne pas être dépendant à chaque problème.

En vous remerciant,
kuzco

Peux-tu mettre le log d’installation des dépendances? Ça peut aider…

1 J'aime

Bonsoir,

Alors déjà mettre le bon tag serait une bonne chose (c’est corrigé) :wink:

Quel version d’OS sur ton PI4? une copie de ta page config du plugin serait un plus.

A l’avenir pour que la communauté puisse t’aider, je t’invite à lire ce post, merci,
Comment nous aider à vous aider - ou Comment poser une bonne question?.
Sans cela tu risque de ne pas avoir beaucoup d’aide.

Bonsoir,

Je t’invite à lire le github de Sarakha, bonne lecture,

Au plaisir,

1 J'aime

Bonjour,
N’hésite pas à nous faire un retour et cocher solutionner sur la réponse donnée pour plus de visibilité à la communauté,
Au plaisir,

Bonjour à tous,

Je vous fais un petit retour d’expérience de l’installation du plugin BLEA sur une installation toute fraîche de Jeedom 4.0.61 sur RPI4.

Symptômes : Après installation du plugin BLEA, choix de l’adaptateur bluetooth dans la section « Configuration » de la page « Configuration du plugin » puis sauvegarde.

A partir ce moment, installation des dépendances (dont le Statut est NOK) en boucle et Démon toujours en NOK.

Lecture des Logs, grattage de tête plusieurs heures…

Listage de périphériques BLE en SSH avec la commande « sudo hcitool lescan », ->OK
Donc l’adaptateur Bluetooth est fonctionnel et le BLE supporté.

Solution trouvée au final --> Installation de BLEA pour Python 3 avec la commande « sudo pip3 install bluepy »

Et là, miracle, tout devient fonctionnel!

En souhaitant que cela aide.

Une petite réflexion :

Actuellement, les versions disponibles des différents éléments nécessaires à l’installation de Jeedom sur RPI4, à savoir:

  • la version de « Raspberry Pi OS (32-bit) Lite » (Ex Raspian) Page de téléchargement de Raspberry Pi OS
  • la version de Jeedom 4 en installation manuelle sur un RPI4 fraîchement installée avec un Raspberry Pi OS comme celle intégrée à une image pour Raspberry Image à flasher dans une microSD pour RPI (La 64bits est plus performante)
  • la version de BLEA disponible dans Jeedom et installée automatiquement (Version 2020-06-22 10:24:24)

L’installation des éléments ci-dessus amène immanquablement à ce que ça ne fonctionne pas (cf. Symptômes)

Comme c’est la chaîne logicielle accessible en première intention, nombreux seront les membres de la communauté qui subiront ces difficultés :wink:

Je suis curieux de savoir si d’autres ont rencontré cette difficulté.

Au plaisir de vous lire

Pardon de ne pas avoir suffisamment développer mon souci avec des screens de log. Je ferais mieux la prochaine fois c’est promis.

Merci pour votre grande aide, j’ai entrouvert ma compréhension du monde Jeedom et de mon Raspberry.

La solution de @Netsniper a résolue mon souci.

A+
Kuzco

Ce sujet a été automatiquement fermé après 24 heures suivant le dernier commentaire. Aucune réponse n’est permise dorénavant.